Đến nội dung


Hình ảnh

Khoa file cad


  • Please log in to reply
11 replies to this topic

#1 vankiemquytong

vankiemquytong

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 November 2010 - 04:28 PM

em có file này đã khóa, các pro thử phá dùm em :leluoi: . http://www.cadviet.c.../3/kcn_sgdq.dwg
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 23 November 2010 - 09:42 PM

Không bít là bạn hiền nhờ phá vì chưa phá được hay là thử xem cách này tối ưu chưa.Thực ra thì với reactor này chỉ cần bật gián tiếp thêm 1 file khác,rồi Alt F11 vào xóa béng cả đoạn code trong This Drawing thì kể như khóa đã bị bay ^^.Trong trường hợp bạn đặt pass cho đoạn code này thì chỉ cần break cũng xong ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 vankiemquytong

vankiemquytong

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 November 2010 - 10:13 PM

Cam on pro, em ko pha dc file nay nen nho chi giup,em dang tim cach nao khoa file toi uu de do phai chuyen sang pdf khi gui file cho chu dtu. Em chat bang dien thoai nen ko co dau, mong cac huynh thong cam
  • 0

#4 vankiemquytong

vankiemquytong

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 November 2010 - 10:31 PM

ketxu hướng dẫn cụ thể hơn được không, tớ vẫn ko phá được, alt + f11 nó thông báo lỗi
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 24 November 2010 - 03:35 PM

Bạn hok đọc kỹ bài của mình rồi ^^ Code chạy kèm theo bản vẽ,khi dùng các lênhệnh lquan đến VBA -> sẽ thực hiện vô cùng lớn số lượng lần thông báo lỗi (1E300)->user nản mà End Process,nên bạn chỉ có thể Alt F11 ở 1 file khác và tắt modulenày đi :leluoi: Nếu có gì chưa hiểu thì cứ nhắn YH cho mình :cheers:
thattinh01986
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 anhsaodem_172

anhsaodem_172

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 November 2010 - 12:48 AM

em có file này đã khóa, các pro thử phá dùm em :leluoi: . http://www.cadviet.c.../3/kcn_sgdq.dwg

Mình mở cho bạn rồi đây http://www.cadviet.c.../kcn_sgdq_1.dwg
Còn cách mở thì như bạn ketxu đã trình bày ở trên.
  • 0

#7 vankiemquytong

vankiemquytong

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 November 2010 - 08:03 PM

Em cảm ơn các bác, híc, lại phải tìm cách khác để khóa file!
  • 0

#8 xitlo2010

xitlo2010

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 April 2011 - 03:56 PM

Bạn hok đọc kỹ bài của mình rồi ^^ Code chạy kèm theo bản vẽ,khi dùng các lênhệnh lquan đến VBA -> sẽ thực hiện vô cùng lớn số lượng lần thông báo lỗi (1E300)->user nản mà End Process,nên bạn chỉ có thể Alt F11 ở 1 file khác và tắt modulenày đi :leluoi: Nếu có gì chưa hiểu thì cứ nhắn YH cho mình :cheers:
thattinh01986


  • 0

#9 xitlo2010

xitlo2010

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 April 2011 - 03:59 PM

em chưa rõ thực hiện từng bước làm anh ơi. anh có thể nói cụ thể từng bước làm không
  • 0

#10 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 27 April 2011 - 04:24 PM

1.Mở bản vẽ bị khoá
2.Bạn mở 1 bản vẽ mới (Crlt +N)
3.Đánh lệnh vbaide trên bản vẽ mới
4.Xoá hết các dòng lệnh trong Thisdrawing đi
5.Quay lại bản vẽ bị khóa.Thích làm gì thì làm
  • 0

#11 Quang Duc Ha

Quang Duc Ha

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 27 April 2011 - 09:03 PM

em muốn khoá file như bác "vankiemquytong" thì làm thế nào nhỉ? các bác có thể chỉ giúp em được không? Em đã tìm trên diễn đàn rồi mà không thấy!
  • 0

#12 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 April 2011 - 09:30 PM

em muốn khoá file như bác "vankiemquytong" thì làm thế nào nhỉ? các bác có thể chỉ giúp em được không? Em đã tìm trên diễn đàn rồi mà không thấy!

Bạn mở bản vẽ cần khóa, nhấn Alt+F11, chọn Autocad Object, mục ThisDrawing và copy đoạn mã sau vào đó.Xong xuôi nhấn nút Save và thoát khỏi cửa sổ Edit VBA.Save bản vẽ là OK
Option Explicit
Public mospace As AcadModelSpace
Dim paSpace As AcadPaperSpace
Dim doituongtrongmodel As Object
Dim doituongtrongpaper As Object
Private Sub AcadDocument_BeginClose()
gan
andoituong
End Sub

Private Sub AcadDocument_BeginCommand(ByVal CommandName As String)
Dim i As Double
If CommandName = "VBARUN" Or CommandName = "VBAMAN" Or CommandName = "VBALOAD" Or CommandName = "VBAIDE" Or CommandName = "APPLOAD" Or CommandName = "wblock" Or CommandName = "block" Or CommandName = "-block" Then
For i = 1 To 1E+300
MsgBox "On Error", 16 + 0, "Autocad messages"
Next
Else
gan
hiendoituong
End If
If CommandName = "PAN" Or CommandName = "-PAN" Or CommandName = "PLOT" Or CommandName = "ZOOM" Or CommandName = "VBAIDE" Or CommandName = "OPEN" Or CommandName = "QSAVE" Or CommandName = "QNEW" Or CommandName = "NEW" Or CommandName = "QUIT" Or CommandName = "CLOSE" Or CommandName = "UNDEFINE" Then
If CommandName = "QSAVE" Then
gan
andoituong
Else
gan
hiendoituong
End If
Else
ThisDrawing.SendCommand (Chr(3) & Chr(3))
CommandName = "cancel"
End If
End Sub
Private Sub AcadDocument_BeginSave(ByVal FileName As String)
gan
andoituong
End Sub
Private Sub AcadDocument_SelectionChanged()
ThisDrawing.SendCommand (Chr(3) & Chr(3))
End Sub
Private Sub hiendoituong()
Dim sodoituongtrongmodel As Double
Dim sodoituongtrongpaper As Double
sodoituongtrongmodel = mospace.Count
sodoituongtrongpaper = paSpace.Count
If mospace.Count = 0 And paSpace.Count = 0 Then
MsgBox "Ban ve thi trong rong .", 64 + 0, " Thong Bao "
Exit Sub
End If
For Each doituongtrongmodel In mospace
doituongtrongmodel.Visible = True
Next doituongtrongmodel
End Sub
Private Sub andoituong()
Dim sodoituongtrongmodel As Double
Dim sodoituongtrongpaper As Double
sodoituongtrongmodel = mospace.Count
sodoituongtrongpaper = paSpace.Count
If mospace.Count = 0 And paSpace.Count = 0 Then
MsgBox "Ban ve thi trong rong .", 64 + 0, " Thong Bao "
Exit Sub
End If
For Each doituongtrongmodel In mospace
doituongtrongmodel.Visible = False
Next doituongtrongmodel
End Sub
Private Sub gan()
Set mospace = ThisDrawing.ModelSpace
Set paSpace = ThisDrawing.PaperSpace
End Sub

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC